Patchwork [5,of,8,v5] config: remove unused hostsecurity.disabletls10warning config

login
register
mail settings
Submitter Manuel Jacob
Date June 1, 2020, 3:28 a.m.
Message ID <b014f68a7e5f4d3cf72c.1590982096@tmp>
Download mbox | patch
Permalink /patch/46442/
State New
Headers show

Comments

Manuel Jacob - June 1, 2020, 3:28 a.m.
# HG changeset patch
# User Manuel Jacob <me@manueljacob.de>
# Date 1590877849 -7200
#      Sun May 31 00:30:49 2020 +0200
# Node ID b014f68a7e5f4d3cf72ca6f5d50e3059d05e3ed3
# Parent  ed90a9083487c637edb528826046f36646baf2a7
# EXP-Topic require_modern_ssl
config: remove unused hostsecurity.disabletls10warning config

Patch

diff --git a/mercurial/configitems.py b/mercurial/configitems.py
--- a/mercurial/configitems.py
+++ b/mercurial/configitems.py
@@ -808,9 +808,6 @@  coreconfigitem(
     b'hostsecurity', b'ciphers', default=None,
 )
 coreconfigitem(
-    b'hostsecurity', b'disabletls10warning', default=False,
-)
-coreconfigitem(
     b'hostsecurity', b'minimumprotocol', default=dynamicdefault,
 )
 coreconfigitem(
diff --git a/tests/test-https.t b/tests/test-https.t
--- a/tests/test-https.t
+++ b/tests/test-https.t
@@ -268,12 +268,6 @@  Test server cert which no longer is vali
   abort: error: *certificate verify failed* (glob)
   [255]
 
-Disabling the TLS 1.0 warning works
-  $ hg -R copy-pull id https://localhost:$HGPORT/ \
-  > --config hostsecurity.localhost:fingerprints=sha1:ecd87cd6b386d04fc1b8b41c9d8f5e168eef1c03 \
-  > --config hostsecurity.disabletls10warning=true
-  5fed3813f7f5
-
 Setting ciphers to an invalid value aborts
   $ P="$CERTSDIR" hg --config hostsecurity.ciphers=invalid -R copy-pull id https://localhost:$HGPORT/
   abort: could not set ciphers: No cipher can be selected.